Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
roles
/
{role_id}
/
members
Get the members assigned to an organization role
curl --request GET \
  --url https://{tenantDomain}/api/v2/organizations/{id}/roles/{role_id}/members \
  --header 'Authorization: Bearer <token>'
{
  "members": [
    {
      "user_id": "<string>",
      "picture": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com"
    }
  ],
  "next": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string<organization-id>
requis

ID of the organization.

role_id
string<role-id>
requis

ID of the role to retrieve the assigned members for.

Paramètres de requête

from
string

Optional Id from which to start selection.

take
integer
défaut:50

Number of results per page. Defaults to 50. Values above the maximum permitted size are capped.

Plage requise: x >= 1
fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields.

include_fields
boolean
défaut:true

Whether specified fields are to be included (true) or excluded (false). Defaults to true.

Réponse

Role members successfully retrieved.

members
object[]
requis

List of members assigned to the role within the organization.

next
string

Cursor for the next page of results. Absent when there are no more results.